Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfDatabaseRangeElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.table.OdfDatabaseRangeElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfDatabaseRange

    public abstract class OdfDatabaseRangeElement

extends OdfElement

DOM implementation of OpenDocument element table:database-range.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfDatabaseRangeElement(OdfFileDom aOwnerDoc)` Create the instance of OdfDatabaseRangeElement

Method Summary
`OdfDatabaseSourceQueryElement` | `createDatabaseSourceQueryElement(String databaseName, String queryName)` Create child element table:database-source-query.
`OdfDatabaseSourceSqlElement` | `createDatabaseSourceSqlElement(String databaseName, String sqlStatement)` Create child element table:database-source-sql.
`OdfDatabaseSourceTableElement` | `createDatabaseSourceTableElement(String databaseName, String databaseTableName)` Create child element table:database-source-table.
`OdfFilterElement` | `createFilterElement()` Create child element table:filter.
`OdfSortElement` | `createSortElement()` Create child element table:sort.
`OdfSubtotalRulesElement` | `createSubtotalRulesElement()` Create child element table:subtotal-rules.
`OdfBoolean` | `getContainsHeader()` Get value of attribute table:contains-header.
`OdfBoolean` | `getDisplayFilterButtons()` Get value of attribute table:display-filter-buttons.
`OdfBoolean` | `getHasPersistentData()` Get value of attribute table:has-persistent-data.
`OdfBoolean` | `getIsSelection()` Get value of attribute table:is-selection.
`String` | `getName()` Get value of attribute table:name.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getOnUpdateKeepSize()` Get value of attribute table:on-update-keep-size.
`OdfBoolean` | `getOnUpdateKeepStyles()` Get value of attribute table:on-update-keep-styles.
`OdfOrientationType` | `getOrientation()` Get value of attribute table:orientation.
`OdfBoolean` | `getRefreshDelay()` Get value of attribute table:refresh-delay.
`OdfCellRangeAddress` | `getTargetRangeAddress()` Get value of attribute table:target-range-address.
`void` | `init(OdfCellRangeAddress targetRangeAddress)` Initialization of the mandatory attributes of `OdfDatabaseRangeElement`
`void` | `setContainsHeader(OdfBoolean isContainsHeader)` Set value of attribute table:contains-header.
`void` | `setDisplayFilterButtons(OdfBoolean isDisplayFilterButtons)` Set value of attribute table:display-filter-buttons.
`void` | `setHasPersistentData(OdfBoolean isHasPersistentData)` Set value of attribute table:has-persistent-data.
`void` | `setIsSelection(OdfBoolean isIsSelection)` Set value of attribute table:is-selection.
`void` | `setName(String name)` Set value of attribute table:name.
`void` | `setOnUpdateKeepSize(OdfBoolean isOnUpdateKeepSize)` Set value of attribute table:on-update-keep-size.
`void` | `setOnUpdateKeepStyles(OdfBoolean isOnUpdateKeepStyles)` Set value of attribute table:on-update-keep-styles.
`void` | `setOrientation(OdfOrientationType orientation)` Set value of attribute table:orientation.
`void` | `setRefreshDelay(OdfBoolean isRefreshDelay)` Set value of attribute table:refresh-delay.
`void` | `setTargetRangeAddress(OdfCellRangeAddress targetRangeAddress)` Set value of attribute table:target-range-address.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfDatabaseRangeElement

    public OdfDatabaseRangeElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfDatabaseRangeElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:database-range.

### init

    public void init(OdfCellRangeAddress targetRangeAddress)

  Initialization of the mandatory attributes of `OdfDatabaseRangeElement`

  Parameters:
    `targetRangeAddress` - The mandatory attribute table:target-range-address"

### getName

    public String getName()

  Get value of attribute table:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute table:name.

  Parameters:
    `name` - the attribute's type is String

### getIsSelection

    public OdfBoolean getIsSelection()

  Get value of attribute table:is-selection.

  Returns:
    return the attribute which type is OdfBoolean

### setIsSelection

    public void setIsSelection(OdfBoolean isIsSelection)

  Set value of attribute table:is-selection.

  Parameters:
    `isIsSelection` - the attribute's type is OdfBoolean

### getOnUpdateKeepStyles

    public OdfBoolean getOnUpdateKeepStyles()

  Get value of attribute table:on-update-keep-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setOnUpdateKeepStyles

    public void setOnUpdateKeepStyles(OdfBoolean isOnUpdateKeepStyles)

  Set value of attribute table:on-update-keep-styles.

  Parameters:
    `isOnUpdateKeepStyles` - the attribute's type is OdfBoolean

### getOnUpdateKeepSize

    public OdfBoolean getOnUpdateKeepSize()

  Get value of attribute table:on-update-keep-size.

  Returns:
    return the attribute which type is OdfBoolean

### setOnUpdateKeepSize

    public void setOnUpdateKeepSize(OdfBoolean isOnUpdateKeepSize)

  Set value of attribute table:on-update-keep-size.

  Parameters:
    `isOnUpdateKeepSize` - the attribute's type is OdfBoolean

### getHasPersistentData

    public OdfBoolean getHasPersistentData()

  Get value of attribute table:has-persistent-data.

  Returns:
    return the attribute which type is OdfBoolean

### setHasPersistentData

    public void setHasPersistentData(OdfBoolean isHasPersistentData)

  Set value of attribute table:has-persistent-data.

  Parameters:
    `isHasPersistentData` - the attribute's type is OdfBoolean

### getOrientation

    public OdfOrientationType getOrientation()

  Get value of attribute table:orientation.

  Returns:
    return the attribute which type is OdfOrientationType

### setOrientation

    public void setOrientation(OdfOrientationType orientation)

  Set value of attribute table:orientation.

  Parameters:
    `orientation` - the attribute's type is OdfOrientationType

### getContainsHeader

    public OdfBoolean getContainsHeader()

  Get value of attribute table:contains-header.

  Returns:
    return the attribute which type is OdfBoolean

### setContainsHeader

    public void setContainsHeader(OdfBoolean isContainsHeader)

  Set value of attribute table:contains-header.

  Parameters:
    `isContainsHeader` - the attribute's type is OdfBoolean

### getDisplayFilterButtons

    public OdfBoolean getDisplayFilterButtons()

  Get value of attribute table:display-filter-buttons.

  Returns:
    return the attribute which type is OdfBoolean

### setDisplayFilterButtons

    public void setDisplayFilterButtons(OdfBoolean isDisplayFilterButtons)

  Set value of attribute table:display-filter-buttons.

  Parameters:
    `isDisplayFilterButtons` - the attribute's type is OdfBoolean

### getTargetRangeAddress

    public OdfCellRangeAddress getTargetRangeAddress()

  Get value of attribute table:target-range-address.

  Returns:
    return the attribute which type is OdfCellRangeAddress

### setTargetRangeAddress

    public void setTargetRangeAddress(OdfCellRangeAddress targetRangeAddress)

  Set value of attribute table:target-range-address.

  Parameters:
    `targetRangeAddress` - the attribute's type is OdfCellRangeAddress

### getRefreshDelay

    public OdfBoolean getRefreshDelay()

  Get value of attribute table:refresh-delay.

  Returns:
    return the attribute which type is OdfBoolean

### setRefreshDelay

    public void setRefreshDelay(OdfBoolean isRefreshDelay)

  Set value of attribute table:refresh-delay.

  Parameters:
    `isRefreshDelay` - the attribute's type is OdfBoolean

### createDatabaseSourceSqlElement

    public OdfDatabaseSourceSqlElement createDatabaseSourceSqlElement(String databaseName,
                                                                      String sqlStatement)

  Create child element table:database-source-sql.

  Parameters:
    `databaseName` - String
    `sqlStatement` - String
  Returns:
    return the element table:database-source-sql

### createDatabaseSourceQueryElement

    public OdfDatabaseSourceQueryElement createDatabaseSourceQueryElement(String databaseName,
                                                                          String queryName)

  Create child element table:database-source-query.

  Parameters:
    `databaseName` - String
    `queryName` - String
  Returns:
    return the element table:database-source-query

### createDatabaseSourceTableElement

    public OdfDatabaseSourceTableElement createDatabaseSourceTableElement(String databaseName,
                                                                          String databaseTableName)

  Create child element table:database-source-table.

  Parameters:
    `databaseName` - String
    `databaseTableName` - String
  Returns:
    return the element table:database-source-table

### createFilterElement

    public OdfFilterElement createFilterElement()

  Create child element table:filter.

  Returns:
    return the element table:filter

### createSortElement

    public OdfSortElement createSortElement()

  Create child element table:sort.

  Returns:
    return the element table:sort

### createSubtotalRulesElement

    public OdfSubtotalRulesElement createSubtotalRulesElement()

  Create child element table:subtotal-rules.

  Returns:
    return the element table:subtotal-rules

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.